<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>DirectionVectorConverter (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DirectionVectorConverter (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/argument/DirectionConverter.html" title="class in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/argument/EditSessionHolder.html" title="class in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/argument/DirectionVectorConverter.html" target="_top">Frames</a></li>
<li><a href="DirectionVectorConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command.argument</div>
<h2 title="Class DirectionVectorConverter" class="title">Class DirectionVectorConverter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">com.sk89q.worldedit.command.argument.AbstractDirectionConverter</a>&lt;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.argument.DirectionVectorConverter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.enginehub.piston.converter.ArgumentConverter&lt;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;, org.enginehub.piston.converter.Converter&lt;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">DirectionVectorConverter</span>
extends <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">AbstractDirectionConverter</a>&lt;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/DirectionVectorConverter.html#convertDirection-java.lang.String-com.sk89q.worldedit.entity.Player-boolean-">convertDirection</a></span>(java.lang.String&nbsp;argument,
                <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                boolean&nbsp;includeDiagonals)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/DirectionVectorConverter.html#register-com.sk89q.worldedit.WorldEdit-org.enginehub.piston.CommandManager-">register</a></span>(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
        org.enginehub.piston.CommandManager&nbsp;commandManager)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.command.argument.AbstractDirectionConverter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.command.argument.<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">AbstractDirectionConverter</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#convert-java.lang.String-org.enginehub.piston.inject.InjectedValueAccess-">convert</a>, <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#describeAcceptableArguments--">describeAcceptableArguments</a>, <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#getSuggestions-java.lang.String-">getSuggestions</a>, <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#getWorldEdit--">getWorldEdit</a>, <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#register-org.enginehub.piston.CommandManager-com.sk89q.worldedit.command.argument.AbstractDirectionConverter-java.lang.Class-boolean-">register</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="register-com.sk89q.worldedit.WorldEdit-org.enginehub.piston.CommandManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre>public static&nbsp;void&nbsp;register(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
                            org.enginehub.piston.CommandManager&nbsp;commandManager)</pre>
</li>
</ul>
<a name="convertDirection-java.lang.String-com.sk89q.worldedit.entity.Player-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertDirection</h4>
<pre>protected&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;convertDirection(java.lang.String&nbsp;argument,
                                        @Nullable
                                        <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                                        boolean&nbsp;includeDiagonals)
                                 throws <a href="../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#convertDirection-java.lang.String-com.sk89q.worldedit.entity.Player-boolean-">convertDirection</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">AbstractDirectionConverter</a>&lt;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/argument/DirectionConverter.html" title="class in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/argument/EditSessionHolder.html" title="class in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/argument/DirectionVectorConverter.html" target="_top">Frames</a></li>
<li><a href="DirectionVectorConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
